# Generated by Django 4.1.5 on 2023-02-06 11:27

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('location', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='NomenclatureType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='Вид номенклатуры')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Обновлено')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
            ],
            options={
                'verbose_name': 'Вид номенклатуры',
                'verbose_name_plural': 'Виды номенклатуры',
            },
        ),
        migrations.CreateModel(
            name='Nomenclature',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uid', models.CharField(max_length=36, unique=True, verbose_name='Идентификатор номенклатуры')),
                ('name', models.CharField(help_text='name | Название', max_length=256, verbose_name='Номенклатура')),
                ('unit', models.CharField(choices=[('NONE', 'Не определено'), ('GRAMS', 'Граммы'), ('KILOGRAMS', 'Килограммы'), ('THINGS', 'Штук')], default='NONE', help_text='unit | Единица измерения', max_length=32, verbose_name='Единица измерения')),
                ('count', models.PositiveSmallIntegerField(blank=True, default=0, help_text='count | Количество', null=True, verbose_name='Количество')),
                ('traffic_type', models.CharField(choices=[('NONE', 'Не определено'), ('ARRIVAL', 'Приход'), ('EXPENSE', 'Расход')], default='NONE', help_text='traffic_type | Вид движения', max_length=32, verbose_name='Вид движения')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Обновлено')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('nomenclature_type', models.ForeignKey(blank=True, help_text='nomenclature_type | Вид номенклатуры', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='nomenclature', to='food.nomenclaturetype', verbose_name='Вид номенклатуры')),
                ('parent', models.ForeignKey(blank=True, db_column='parentid', help_text='parent | Родитель', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='children', to='food.nomenclature', verbose_name='Родитель')),
                ('partner', models.ForeignKey(blank=True, help_text='partner | Поставщик', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='nomenclature', to='location.partner', verbose_name='Поставщик')),
                ('store', models.ForeignKey(blank=True, help_text='store | Склад | Склад отправитель | Склад получатель', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='nomenclature', to='location.locality', verbose_name='Склад')),
            ],
            options={
                'verbose_name': 'Номенклатура',
                'verbose_name_plural': 'Номенклатуры',
            },
        ),
    ]
